# $Revision: 1.11 $, $Date: 2007/02/12 22:09:23 $

%define		_orig_name	xmms_sndfile

Summary:	XMMS input plugin that uses libsndfile to read files
Summary(pl.UTF-8):	Wtyczka wejściowa dla XMMS-a używająca libsndfile do czytania plików
Name:		xmms-input-sndfile
Version:	1.2
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.zipworld.com.au/~erikd/XMMS/%{_orig_name}-%{version}.tar.gz
# Source0-md5:	6028307cf7b1310f0c302a4a0c212ae9
URL:		http://www.xmms.org/plugins_input.html#122
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmms_sndfile is an input plugin for XMMS. Using xmms_sndfile extends
the capabilities of XMMS to open and play any file which can be opened
and read by libsndfile, including WAV, AIFF, AU, and SVX files and
many compressed version of these file formats.

%description -l pl.UTF-8
xmms_sndfile to wtyczka wejściowa dla XMMS-a. Jej użycie rozszerza
możliwości XMMS-a o otwieranie i odtwarzanie dowolnych plików, które
można otworzyć i odczytać przy pomocy biblioteki libsndfile, w tym
WAV, AIFF, AU i SVX oraz wiele skompresowanych wersji tych formatów.

%prep
%setup -q -n %{_orig_name}-%{version}

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

# useless
rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO NEWS README ChangeLog
%attr(755,root,root) %{xmms_input_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-sndfile.spec,v $
Revision 1.11  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.9  2005/06/06 21:22:05  zbyniu
- BR: pkgconfig

Revision 1.8  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.7  2004/08/16 12:24:17  wolf
- rel 1

Revision 1.6  2004/04/14 12:21:32  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.5  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.4  2003/07/15 20:04:08  misi3k
- blah template trash

Revision 1.3  2003/07/14 08:22:29  qboosh
- use xmms-config to get plugindir
- fixed BR (libsndfile-devel not libstdc++-devel)

Revision 1.2  2003/07/13 22:24:48  qboosh
- pl

Revision 1.1  2003/07/12 05:45:01  misi3k
- initial release
- rel 0.1
TODO: PL description
